- Main Page
- Data Structures
- Files

- File List
- Globals

# jasperserver/marshaller.c File Reference

`#include "marshaller.h"`
`#include <libxml/xmlwriter.h>`

Go to the source code of this file.

## Functions
int | jasperserver_resource_descriptor_marshal (xmlTextWriterPtr writer, jasperserver_resource_descriptor_t *res)
int | jasperserver_resource_property_marshal (xmlTextWriterPtr writer, jasperserver_resource_property_t *res)
int | jasperserver_parameter_marshal (xmlTextWriterPtr writer, jasperserver_parameter_t *param)
int | jasperserver_request_marshal (jasperserver_request_t *request, jasperserver_string_t *buffer)
| Create an xml string representing the request.

## Function Documentation

int jasperserver_parameter_marshal | ( | xmlTextWriterPtr | writer,
|  | jasperserver_parameter_t * | param |
| ) |  |  |

Create an xml string representing the parameter. The xml is encoded in UTF8 and is stored in buffer.

Parameters:

  | writer | must be not NULL.
  | res | must be not NULL. It is the parameter to save

Returns:
  the length of buffer or -1 if an error occurs.

       <!ELEMENT parameter (#PCDATA)>
        <!ATTLIST parameter
                name CDATA #REQUIRED
                isListItem ( true | false ) false
        >

Definition at line 333 of file marshaller.c.

int jasperserver_request_marshal | ( | jasperserver_request_t * | request,
|  | jasperserver_string_t * | buffer |
| ) |  |  |

Create an xml string representing the request.

This function transform a request structure into an xml. The xml is encoded in UTF8 and is stored in the 'buffer' string.

Parameters:

  | request | a not null request
  | buffer | a not null jasperserver_string_t *

Returns:
  the length of buffer or -1 if an error occurs.

Definition at line 30 of file marshaller.c.

int jasperserver_resource_descriptor_marshal | ( | xmlTextWriterPtr | writer,
|  | jasperserver_resource_descriptor_t * | res |
| ) |  |  |

Create an xml string representing the resource_descriptor. The xml is encoded in UTF8 and is stored in buffer.

Parameters:

  | writer | must be not NULL.
  | res | must be not NULL. It is the resource_descriptor to save

Returns:
  the length of buffer or -1 if an error occurs.

       <!ELEMENT resourceDescriptor (label, description?, resourceProperty*, resourceDescriptor*, parameter*)>
       <!ATTLIST resourceDescriptor
            name CDATA #REQUIRED
                wsType CDATA #REQUIRED
                uriString CDATA #REQUIRED
                isNew ( true | false ) false>

Definition at line 163 of file marshaller.c.

int jasperserver_resource_property_marshal | ( | xmlTextWriterPtr | writer,
|  | jasperserver_resource_property_t * | res |
| ) |  |  |

Create an xml string representing the resourceProperty. The xml is encoded in UTF8 and is stored in buffer.

Parameters:

  | writer | must be not NULL.
  | res | must be not NULL. It is the resourceProperty to save

Returns:
  the length of buffer or -1 if an error occurs.

       <!ELEMENT resourceProperty (value?, resourceProperty*)>
        <!ATTLIST resourceProperty
                name CDATA #REQUIRED
        >

Definition at line 270 of file marshaller.c.